# Uses of Enum Class
com.sun.mirror.apt.Filer.Location

Packages that use Filer.Location
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.

## Uses of Filer.Location in com.sun.mirror.apt

Methods in com.sun.mirror.apt that return Filer.Location
Modifier and Type
Method
Description
`static Filer.Location`
Filer.Location.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Filer.Location[]`
Filer.Location.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.sun.mirror.apt with parameters of type Filer.Location
Modifier and Type
Method
Description
`OutputStream`
Filer.`createBinaryFile(Filer.Location loc, String pkg, File relPath)`
Creates a new binary file, and returns a stream for writing to it.
`PrintWriter`
Filer.`createTextFile(Filer.Location loc, String pkg, File relPath, String charsetName)`
Creates a new text file, and returns a writer for it.